1. Bookings
Public API
  • Welcome to the deskbird developer docs
  • Public API
    • Overview
    • Users
      • Lists company users
      • Retrieves a single company user
    • Bookings
      • Lists company bookings
        GET
      • Creates a new resource booking
        POST
      • Gets a single company booking
        GET
      • Updates an existing booking
        PATCH
      • Cancels a booking
        PATCH
      • Checks in to a booking
        PATCH
      • Releases a booking early
        PATCH
    • Groups
      • Lists company user groups
      • Retrieves a single company user group
    • Resources
      • Gets a resource by ID
      • Lists company resources
    • Offices
      • Lists company offices
      • Checks a user into an office
    • Scheduling
      • Lists company scheduling statuses
      • Deletes scheduling statuses by IDs
      • Adds new scheduling statuses for a user
    • Scheduling Options
      • Lists company scheduling options
    • Rooms
      • Lists company rooms
      • Gets a single room
      • Creates a room booking
      • Lists room bookings
      • Gets a single room booking
      • Updates a room booking
      • Checks in to a room booking
      • Cancels a room booking
      • Lists company room bookings
    • Floors
      • Lists company floors
    • Zones
      • Lists company zones
    • Tickets
      • Lists company tickets
      • Gets a single company ticket
      • Lists ticket categories
      • Updates a ticket
    • Sensors
      • Lists company monitors
      • Lists company network configurations
    • Visitors
      • Lists company visit types
      • Lists company visits
      • Gets a single company visit
    • Service requests
      • Lists company service requests
      • Lists service categories of an office
      • Gets a single company service request
  • MCP server
    • Overview
    • Authentication
    • Tools reference
  1. Bookings

Checks in to a booking

PATCH
/bookings/{bookingId}/checkIn
Records a check-in for an existing booking. Updates the booking's check-in status to 'checkedIn'. For QR code check-ins, the resourceId must be provided in the request body to verify the check-in location. The check-in is performed by the API token creator. Returns no content on success.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Header Params

Body Params application/jsonRequired

Example
{
    "resourceId": "123e4567-e89b-12d3-a456-426614174000"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PATCH 'https://connect.deskbird.com/bookings//checkIn' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "resourceId": "123e4567-e89b-12d3-a456-426614174000"
}'

Responses

🟢204No Content
Booking checked in successfully. No content is returned.
This response does not have a body.
🟠401Unauthorized
🟠403Forbidden
Previous
Cancels a booking
Next
Releases a booking early
Built with